Package pyplusplus :: Package code_creators :: Module compound :: Class compound_t

# type compound_t

source code

                     object --+
                              |
    code_creator.code_creator_t --+
                                  |
                                 compound_t

Known Subclasses:
  - scoped.scoped_t
  - , module.module_t
  - , module_body.module_body_t

Instance Methods

__init__(self) Constructor. | source code

adopt_creator(self, creator, index=None) Add a creator to the list of children creators. | source code

adopt_creators(self, creators, index=None) Add a creators to the list of children creators. | source code

remove_creator(self, creator) Remove a children code creator object. | source code

get_system_headers(self, recursive=False, unique=False) | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`

Static Methods

str

create_internal_code(creators) Concatenate the code from a list of code creators. | source code

Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
list of code_creator_t | creators A list of children nodes.
Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` (code_creator_t) - Parent code creator.
Overrides: code_creator.code_creator_t.__init__

### adopt_creator(self, creator, index=None)

source code

Add a creator to the list of children creators.

Parameters:
  - `creator` (code_creator_t) - Creator object
  - `index` (int) - Desired position of the creator or None to append it to the end of the list

### adopt_creators(self, creators, index=None)

source code

Add a creators to the list of children creators.

Parameters:
  - `creators` - list of creators object
  - `index` (int) - Desired position of the creator or None to append it to the end of the list
  - `creator` (code_creator_t)

### remove_creator(self, creator)

source code

Remove a children code creator object.

Parameters:
  - `creator` (code_creator_t) - The creator node to remove

Precondition: creator must be a children of self

### create_internal_code(creators)
Static Method

source code

Concatenate the code from a list of code creators.

Parameters:
  - `creators` (list of code_creator_t) - A list with code creators
Returns: str

### get_system_headers(self, recursive=False, unique=False)

source code

Overrides: code_creator.code_creator_t.get_system_headers

Property Details

### creators

A list of children nodes.

Get Method:
  _get_creators(self)
Type:
  list of code_creator_t